List message threads
curl --request GET \
--url https://advisor.redbark.com/api/v1/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "thread",
"client_id": "<string>",
"client_name": "<string>",
"unread": 123,
"last_message": {
"object": "message",
"id": "<string>",
"client_id": "<string>",
"author_kind": "member",
"author_name": "<string>",
"body": "<string>",
"system_event": "<string>",
"document_id": "<string>",
"document_name": "<string>",
"anchor": {
"page": 123,
"rects": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"quote": "<string>"
},
"checklist_item_id": "<string>",
"reply_to": "<string>",
"created_at": "<string>",
"edited_at": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Messages
List message threads
Every client thread with a message, newest first: the last message and how many of the client’s messages the calling member has not seen. Pass unread to see only threads waiting on the firm.
GET
/
threads
List message threads
curl --request GET \
--url https://advisor.redbark.com/api/v1/threads \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://advisor.redbark.com/api/v1/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://advisor.redbark.com/api/v1/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "thread",
"client_id": "<string>",
"client_name": "<string>",
"unread": 123,
"last_message": {
"object": "message",
"id": "<string>",
"client_id": "<string>",
"author_kind": "member",
"author_name": "<string>",
"body": "<string>",
"system_event": "<string>",
"document_id": "<string>",
"document_name": "<string>",
"anchor": {
"page": 123,
"rects": [
{
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
],
"quote": "<string>"
},
"checklist_item_id": "<string>",
"reply_to": "<string>",
"created_at": "<string>",
"edited_at": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"next_page_url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
A firm API key, shown once when it is made, or a connected app’s OAuth access token. Each operation lists the scope it needs, such as clients:write.
Query Parameters
Only threads with unread messages.
1 to 100. Default 25.
Required range:
1 <= x <= 100The next_cursor of the previous page.
Maximum string length:
400
